# updated for ttk

proc ddhknife_makeframe { parent } {

   global ddhknife_knife_name
   global ddhknife_slice_surf
   global ddhknife_cut_away
   global ddhknife_delete_knife
   set ddhknife_knife_name ""
   set ddhknife_slice_surf 1
   set ddhknife_cut_away 0
   set ddhknife_delete_knife 0

   set width 6
   set ypad 3

   # Set knife
   ttk::frame $parent.frmset
   pack $parent.frmset -side top -fill x

   ttk::entry $parent.frmset.txtknife -textvariable ddhknife_knife_name
   pack $parent.frmset.txtknife -side left -fill x -expand 1
   ttk::button $parent.frmset.btnset -text "Set knife" -command {
      eval ac3d ddhknife_set
   }
   pack $parent.frmset.btnset -side right -fill x -expand 1

   # Space
   ttk::frame $parent.frmspace1
   pack $parent.frmspace1 -side top -fill x -pady $ypad

   # Slice indicator
   ttk::frame $parent.frmopts
   pack $parent.frmopts -side top -fill x

   # AC - added spaces to checkbutton text - a Mac bug messes up the clipping if we don't
   ttk::checkbutton $parent.frmopts.chkslice -text "Slice surfaces " -variable ddhknife_slice_surf
   pack $parent.frmopts.chkslice -side top -anchor w
   ttk::checkbutton $parent.frmopts.chkcutaway -text "Cut away object " -variable ddhknife_cut_away
   pack $parent.frmopts.chkcutaway -side top -anchor w
   ttk::checkbutton $parent.frmopts.chkdelknife -text "Delete knife " -variable ddhknife_delete_knife
   pack $parent.frmopts.chkdelknife -side bottom -anchor w

   # Space
   ttk::frame $parent.frmspace2
   pack $parent.frmspace2 -side top -fill x -pady $ypad

   # Slice
   ttk::frame $parent.frmbtn
   pack $parent.frmbtn -side top -fill x

   ttk::button $parent.frmbtn.btnapply -text "Slice" -command {
      eval ac3d ddhknife_go $ddhknife_slice_surf $ddhknife_cut_away $ddhknife_delete_knife
   }
   pack $parent.frmbtn.btnapply -side left -fill x -expand 1

}

proc ddhknife_dialog {} {

	ac_toplevel_with_close .knife "Knife" ddhknife_makeframe

}

